#NVIDIA drivers: https://www.nvidia.com/ja-jp/drivers/
#Visual Studio: https://visualstudio.microsoft.com/downloads/
#CUDA toolkit: https://developer.nvidia.com/cuda-toolkit
#pytorch GPU ver: https://pytorch.org/get-started/locally/
#pip install torch torchvision torchaudio --index-url https://download.pytorch.org/whl/cu118
#echo $PATH
#echo $LD_LIBRARY_PATH


import torch

if torch.cuda.is_available():
    gpu_name = torch.cuda.get_device_name(0)
    print(f"GPU Name: {gpu_name}")
    print(f"CUDA version: {torch.version.cuda}")
else:
    print("No GPU available")

input("\nPress ENTER to terminate>>\n")
